티스토리 뷰

개발/docker

docker 운영 최소 환경

Jaeyeon Baek 2015.11.20 09:17

CentOS-6.4 에서 docker 관련 공부를 하고자했지만..


어떤 이유인지 설치하고 실행하려고 해도 데몬 실행이 되지 않았다.


오류는 아래와 같은 메시지가 출력 된다.

[root@localhost link]# docker -d

WARN[0000] You are running linux kernel version 2.6.32-358.el6.x86_64, which might be unstable running docker. Please upgrade your kernel to 3.10.0. 

INFO[0000] Listening for HTTP on unix (/var/run/docker.sock) 

docker: relocation error: docker: symbol dm_task_get_info_with_deferred_remove, version Base not defined in file libdevmapper.so.1.02 with link time reference

[root@localhost link]# 


뭐? 커널을 업그레이드 하라고?


농담이겠지 싶었는데 docker의 웹 도큐먼트를 보니 사실이더라..


Prerequisites

Docker requires a 64-bit installation regardless of your CentOS version. Also, your kernel must be 3.10 at minimum, which CentOS 7 runs.

< 관련 링크 : http://docs.docker.com/v1.8/installation/centos/ >


아무래도 잠시 접고 다음을(?) 기약해야겠다.. 


조만간 패키지 다시 설치해야겠네.

'개발 > docker' 카테고리의 다른 글

이미지, 컨테이너 export, import  (0) 2016.12.12
네트워크 관리  (0) 2016.12.01
docker A to Z  (0) 2016.12.01
docker 운영 최소 환경  (0) 2015.11.20
댓글
댓글쓰기 폼